# Credit Tracker WordPress plugin

![Credit Tracker Banner](https://raw.githubusercontent.com/Labs64/credit-tracker/master/assets/banner-772x250.png)

---

[![WordPress tested](https://img.shields.io/wordpress/v/credit-tracker.svg?style=flat-square)](https://wordpress.org/plugins/credit-tracker/)
[![WordPress Plugin version](https://img.shields.io/wordpress/plugin/v/credit-tracker.svg?style=flat-square)](https://wordpress.org/plugins/credit-tracker/)
[![WordPress Plugin Downloads](https://img.shields.io/wordpress/plugin/dt/credit-tracker.svg?style=flat-square)](https://wordpress.org/plugins/credit-tracker/)
[![WordPress Plugin Rating](https://img.shields.io/wordpress/plugin/r/credit-tracker.svg?style=flat-square)](https://wordpress.org/plugins/credit-tracker/)
[![License](https://img.shields.io/badge/license-GPLv2-red.svg?style=flat-square)](https://opensource.org/licenses/GPL-3.0)

---

The effective use of stock images and photography on your website and blog can have a massive impact on the number of visits which your site receives, and the positive response which visitors have to your sites content. Whilst a great deal of high quality images are available for free in the public domain, to really make your site stand out you’ll want to use images which are supplied by a top quality photographer or company.

However, the inclusion of images which are not in the public domain means that you must provide proper attribution credits to the photographers and image creators.

The Credit Tracker plugin allows you to create Media Credits Tables, meaning you can easily track which images on your site require accreditation. It also adds a few additional fields to the Media Library which are not included in the original installation. The function of these fields is to help you fetch the credit information from different image agencies and then show it in the required format.

The Plugin is designed to be easy-to-use and to fit easily and neatly within the current design of your website with fully customisable colours, fonts and styles. For the more confident designer you can also override the standard WordPress Shortcode.

This plugin adds the following fields to all images in WordPress Media Library:
* Ident-Nr.
* Source
* Owner/Author
* Publisher
* License
* Link

## Features

* Retrieve Media information from the different stock agencies (Flickr, Fotolia, iStockphoto, Adobe Stock etc.)
* Append credits to the Media Library elements
* Configurable copyright format string
* "credit_tracker_table" shortcode to construct a nicely-styled 'Image Credits' table
* Fully customisable to look just like your own website's style: customise the colours, styles and fonts
* Ability to override standard WordPress shortcode [caption]
* Add microdata to the images

## Showcase

* [Media Credits page at labs64.com](https://www.labs64.com "Media Credits")

## Documentation

### Quick start

Choose one of the following options:

1. Download the latest stable release from [WordPress plugin page](https://wordpress.org/plugins/credit-tracker/) or a custom build from [Credit Tracker GitHub repository](https://github.com/Labs64/credit-tracker).
2. Clone the git repo — `git clone https://github.com/Labs64/credit-tracker.git` or checkout the tagged release you'd like to use.


## Contributing

Anyone and everyone is welcome to contribute. Dozens of developers have helped make the Credit Tracker what it is today.


## Related Links

* WordPress plugin page: [https://wordpress.org/plugins/credit-tracker/](https://wordpress.org/plugins/credit-tracker/)
* Source: [https://github.com/Labs64/credit-tracker](https://github.com/Labs64/credit-tracker)
* Author: [Labs64](https://www.labs64.com)
* Software License Management: [Labs64 NetLicensing](https://netlicensing.io)
